### Property

# Soup WebsocketConnection:keepalive-pong-timeout

since: 3.6

#### Declaration

    property keepalive-pong-timeout: guint [ read, write, construct ]

#### Description [src]

Timeout in seconds for when the absence of a pong from a keepalive ping is assumed to be caused by a faulty connection. The WebSocket will be transitioned to a closed state when this happens.

If set to 0 then the absence of pongs from keepalive pings is ignored.

Type:`guint`

Available since: 3.6

Default value | 0
Getter method | `soup_websocket_connection_get_keepalive_pong_timeout()`
Setter method | `soup_websocket_connection_set_keepalive_pong_timeout()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no